#!/bin/env perl

use strict;
use File::Basename qw(dirname);

use DE_EPAGES::Core::API::File qw ( GetFileContentLines );
use DE_EPAGES::Core::API::Script qw( RunScript );

sub Main {
    local $| = 1;

    chdir dirname $0;
    chdir '..';

    exit 0 unless -f 'filelist.txt';

    my $Result = 0;
    foreach (@{GetFileContentLines('filelist.txt')}) {
        /^(\S+)\s+(.+)/ or next;
        my ($Size, $File) = ($1, $2); ##no critic (ProhibitCaptureWithoutTest)
        next if $File eq 'filelist.txt';
        if (! -f $File ) {
            print "missing: $File\n";
            $Result = 1;
        } elsif ( -s $File != $Size ) {
            print "corrupt: $File\n";
            $Result = 1;
        }
    }
    exit $Result;
}

RunScript(
    'Sub' => \&Main
);
