#!/bin/env perl

use strict;
use File::Basename qw(dirname);
use Sys::Hostname;
use feature qw(say);

use DE_EPAGES::Core::API::File qw ( CopyDirectory );
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Core::API::SystemCommand qw (SystemCommand);

sub Main {
    local $| = 1;

    chdir dirname $0;

    my $BackupDir = '../Backup-'. hostname();
    return unless -d '../FileChanges';
    chdir '../FileChanges';

    foreach my $Dir (qw(srv/epages/etc srv/epages/eproot/bin
                        srv/epages/eproot/Setup srv/epages/eproot/WebAdapter)) {
        next if $^O eq 'MSWin32' and $Dir ne 'srv/epages/eproot/bin';
        next unless -d $Dir;
        say qq(CopyDirectory($Dir, "/$Dir", "$BackupDir/$Dir"));
        CopyDirectory($Dir, "/$Dir", "$BackupDir/$Dir");
    }

    return if $^O eq 'MSWin32';

    foreach my $Dir (sort glob '*') {
        next if $Dir eq 'srv';
        say qq(CopyDirectory($Dir, "/$Dir", "$BackupDir/$Dir"));
        CopyDirectory($Dir, "/$Dir", "$BackupDir/$Dir");
    }
    SystemCommand( '/etc/init.d/epages6 perm admin', { Print => 1 });
}

RunScript(
    'Sub' => \&Main
);
