#!/bin/env perl

use strict;
use File::Basename qw(dirname);
use Sys::Hostname;
use feature qw(say);

use DE_EPAGES::Core::API::File qw ( CopyDirectory );
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Core::API::SystemCommand qw (SystemCommand);

sub Main {
    local $| = 1;

    chdir dirname $0;

    my $BackupDir = '../Backup-'. hostname();
    return unless -d '../FileChanges';
    chdir '../FileChanges';

    if ($^O eq 'MSWin32') {
        return unless -d 'srv/epages/eproot';
        say qq(CopyDirectory('srv/epages/eproot', $ENV{EPAGES}, $BackupDir));
        CopyDirectory('srv/epages/eproot', $ENV{EPAGES}, $BackupDir);
        return;
    }

    say qq(CopyDirectory('.', '/', $BackupDir));
    CopyDirectory('.', '/', $BackupDir);
    SystemCommand( '/etc/init.d/epages6 perm admin', { Print => 1 });
}

RunScript(
    'Sub' => \&Main
);
