#!/bin/env perl

use strict;
use File::Basename qw(dirname);
use Sys::Hostname;
use feature qw(say);

use DE_EPAGES::Core::API::File qw ( GetFileContent WriteFile);
use DE_EPAGES::Core::API::Script qw( RunScript );

sub Main {
    local $| = 1;

    chdir dirname $0;
    chdir '..';

    my $Version = GetFileContent('version.txt');
    my $Chomped = $$Version;
    chomp $Chomped;

    my $VersionFile = "$ENV{EPAGES_CONFIG}/hotfixes/version-". hostname(). '.txt';
    say qq(WriteFile("$VersionFile", "$Chomped", {append=>1, create_directory=>1}));;
    WriteFile($VersionFile, $Version, {append=>1, create_directory=>1});

    $VersionFile = "$ENV{EPAGES_CONFIG}/hotfixes/version.txt";
    say qq(WriteFile("$VersionFile", "$Chomped", {append=>1}));;
    WriteFile($VersionFile, $Version, {append=>1});
}

RunScript(
    'Sub' => \&Main
);
